QGIS Application - Bug report #19199
regression: vector layer legend symbol / children (i.e. rules) aren't shown when in group
2018-06-15 12:44 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: Vectors

Affected QGIS version:3.1(master) Regression?: Yes
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 27028
Description

I've just noticed that QGIS master (what'll become 3.2) suffers from the following regression: upon project load, vector layers that are
children of groups do not have legend symbols (i.e., the default vector geometry icon is used instead of the symbol), and layers' children
(for e.g. rules in the rule-based renderer) are also missing.
Steps to reproduce

1. Load the attached project

2. Note the absence of legend symbol and children in the layers panel

Associated revisions

Revision 59fa2ce4 - 2018-06-17 04:26 PM - Alessandro Pasotti

[bugfix] Revert 2f2221a and update the tests

Fixes #19199 - regression: vector layer legend symbol / children (i.e. rules) aren't shown when in group

History

#1 - 2018-06-17 04:54 AM - Mathieu Pellerin - nIRV
git bisect's verdict:
2f2221aec7a12138dacccd40ac3a34573e3a5da3 is the first bad commit
commit 2f2221aec7a12138dacccd40ac3a34573e3a5da3
Author: Alessandro Pasotti <elpaso@itopen.it>
Date: ThuJun 7 08:16:11 2018 +0200

Do not return invalid layers from findLayers()

:040000 040000 b8d3c7390fef62c4dac38d0bc2498c7db007t585 166aeaci23aatb1cf956ee7924127541d578c2f2 M src

#2 - 2018-06-17 03:07 PM - Alessandro Pasotti
- Assignee set to Alessandro Pasotti

#3 - 2018-06-17 04:25 PM - Anonymous

- % Done changed from 0 to 100
- Status changed from Open to Closed

2025-06-13 12




Applied in changeset commit:qgis|59fa2ce452d114636bab15dc0a68715d8971d018.

Files

test3.9gz 3.34 KB 2018-06-15 Mathieu Pellerin - nIRV
